Get profile roles weekly data over time

Returns weekly aggregated counts of profiles in each lifecycle state. The week field is formatted as YYYY-WW (ISO week number).

Query Parameters
  • start_date
    Type: string
  • end_date
    Type: string
  • classes
    Type: string
  • states
    Type: string
  • withdrawn
    Type: string
Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/data/profiles/roles/weekly
curl 'https://school.fullfabric.cloud/apis/data/profiles/roles/weekly?start_date=&end_date=&classes=&states=&withdrawn=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "week": "2025-01",
    "prospect::cold": 142,
    "prospect::engaged": 98,
    "prospect::qualified": 74,
    "applicant::submitted": 61,
    "applicant::admitted": 48,
    "applicant::accepted": 42,
    "student::enrolled": 38,
    "alumnus::active": 21
  },
  {
    "week": "2025-02",
    "prospect::cold": 145,
    "prospect::engaged": 98,
    "prospect::qualified": 74,
    "applicant::submitted": 64,
    "applicant::admitted": 48,
    "applicant::accepted": 42,
    "student::enrolled": 38,
    "alumnus::active": 21
  },
  {
    "week": "2025-03",
    "prospect::cold": 142,
    "prospect::engaged": 101,
    "prospect::qualified": 74,
    "applicant::submitted": 61,
    "applicant::admitted": 51,
    "applicant::accepted": 42,
    "student::enrolled": 38,
    "alumnus::active": 21
  }
]